Get Ui Resource Template
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/ui-resource-templates/{template_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/ui-resource-templates/{template_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/ui-resource-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"template_content": "<string>",
"object": "ui_resource_template",
"description": "",
"context_schema": {},
"preview_context_data": {},
"is_active": true,
"template_version": 1,
"render_mode": "jinja_legacy",
"created_at": "<string>",
"updated_at": "<string>"
}UI Resource Templates
Get Ui Resource Template
Get a UI resource template by ID.
GET
/
api
/
v1
/
ui-resource-templates
/
{template_id}
Get Ui Resource Template
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/ui-resource-templates/{template_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/ui-resource-templates/{template_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/ui-resource-templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"template_content": "<string>",
"object": "ui_resource_template",
"description": "",
"context_schema": {},
"preview_context_data": {},
"is_active": true,
"template_version": 1,
"render_mode": "jinja_legacy",
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Path Parameters
Response
200 - application/json
OK
Response schema for UI resource templates.
